Request

Endpoint: !getAvailableProducts

https://secure.trust-provider.com/products/!getAvailableProducts

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table displays the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

Sample request

curl --location 'https://secure.trust-provider.com/products/!getAvailableProducts' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password'

Response

Successful response

If the response is successful:

  • The MIME type will be application/json.

  • The response is returned in JSON format.

  • The HTTP header status code will be 200.

The following parameters are present in a successful response.

Parameter Type Description

pricingBandName

string

The pricing band name.

pricingBandCurrency

string

The pricing band currency.

Represented with an ISO 3-letter currency code.

products

array

The array of products enabled in this pricing band.

The beginning of the products array

defaultProductName

string

The current default Sectigo product name.

poweredProductName

string

The customer powered product name, if any.

productID

integer

The product ID.

productType

string

The product type. For example, organization validation (OV) or extended validation (EV).

freeSiteLockAvaliable

string

The indication of the SSL Plus SiteLock Bundle availability when ordering this SSL certificate.

The possible values are:

  • Yes = Available.

  • No = Not available.

productDetails

array

The array of the product terms, prices and seats if applicable.

The beginning of the productDetails array

productTermDays

integer

The product term, in days.

productTermText

string

The product term label.

minSeats

integer

The minimum number of domains (or IP addresses, in some cases) that can be ordered for this product term at this price.

This is relevant for multi-domain certificates.

maxSeats

integer

The maximum number of domains (or IP addresses, in some cases) that can be ordered for this product term at this price.

This is relevant for multi-domain certificates.

price

float

The product price for this term, and possibly seat range.

Error response

If the response unsuccessful:

  • The MIME type will be application/problem+json.

  • HTTP header status code will always be equal to status attribute value for error response.

For more information, see Error codes.

The following parameters are present in an error response.

Parameter Type Description

title

string

A short human-readable summary of the problem.

status

integer

The HTTP status code generated by the origin server for this occurrence of the problem.

The status parameter is always the same as the status code in the HTTP header.

detail

string

A human-readable explanation specific to the occurrence of the problem.

Sample success response

{
    "pricingBandName": "Pricing Band 1",
    "pricingBandCurrency": "USD",
    "products":
            [
              {
                "defaultProductName": "product1",
                "poweredProductName": null,
                "productID": 1,
                "productType": "OV",
                "freeSiteLockAvailable": "yes",
                "productDetails":
                    [
                      {
                     "productTermDays": 365,
                     "productTermText": "1 year",
                     "minSeats": null,
                     "maxSeats": null,
                     "price": 100
                      // displayed price is for sample purposes only
                      }
                    ]
              }
            ]
}

Sample error response

{
    "title": "malformed",
    "status": 400,
    "detail": "The 'loginPassword' argument is missing!"
}

Error codes

The following table outlines error responses returned by the getAvailableProducts API. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Title Status Detail Description

forbidden

403

Use of HTTPS is REQUIRED.

The request must use HTTPS protocol.

malformed

400

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

malformed

400

The 'xxxx' argument is missing!

The required argument is missing from the request.

malformed

400

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

internalServerError

500

The server experienced an internal error

The server encountered an unexpected condition that prevented it from fulfilling the request.

forbidden

403

Permission denied!

The user doesn’t have the permission to perform the specified action.

methodNotAllowed

405

Only POST requests are allowed!

The request method should be POST.

payloadTooLarge

413

Call limit reached! Please try again later

Indicates that the maximum number of API calls has been reached.

unauthorized

401

Incorrect login details, account is locked, password has expired or your source IP is blocked!

Authentication has failed due to one of the specified reasons.

Verify your login credentials or check account restrictions.